aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJ0WI <J0WI@users.noreply.github.com>2021-07-13 18:26:58 +0200
committerTimo Teräs <timo.teras@iki.fi>2021-07-16 08:56:18 +0000
commit6233005a67e2e6692ecc5c214ced9a54e880726a (patch)
tree368a493616ab41705091f1bfbf85f1701714aae7
parent1e19b5c17f2342c2ce477b92aa60489f2b6f3341 (diff)
downloadaports-6233005a67e2e6692ecc5c214ced9a54e880726a.tar.gz
aports-6233005a67e2e6692ecc5c214ced9a54e880726a.tar.bz2
aports-6233005a67e2e6692ecc5c214ced9a54e880726a.tar.xz
community/openjdk7: security upgrade to 7.301.2.6.26
-rw-r--r--community/openjdk7/APKBUILD30
-rw-r--r--community/openjdk7/icedtea-hotspot-noagent-musl.patch6
2 files changed, 22 insertions, 14 deletions
diff --git a/community/openjdk7/APKBUILD b/community/openjdk7/APKBUILD
index afcbc1f1a8..ea141364ba 100644
--- a/community/openjdk7/APKBUILD
+++ b/community/openjdk7/APKBUILD
@@ -2,11 +2,11 @@
# Contributor: Jakub Jirutka <jakub@jirutka.cz>
# Maintainer: Timo Teras <timo.teras@iki.fi>
pkgname=openjdk7
-_icedteaver=2.6.25
+_icedteaver=2.6.26
_icedteaversrc=$_icedteaver
# pkgver is <JDK version>.<JDK update>
# check icedtea JDK when updating
-pkgver=7.291.$_icedteaver
+pkgver=7.301.$_icedteaver
pkgrel=0
pkgdesc="OpenJDK 7 via IcedTea"
provider_priority=7
@@ -94,6 +94,9 @@ source="https://icedtea.classpath.org/download/source/icedtea-$_icedteaversrc.ta
"
# secfixes:
+# 7.301.2.6.26-r0:
+# - CVE-2021-2161
+# - CVE-2021-2163
# 7.281.2.6.24-r0:
# - CVE-2020-14803
# 7.271.2.6.23-r0:
@@ -185,6 +188,11 @@ unpack() {
}
prepare() {
+ local ver_u=$(sed -En 's/^\s*JDK_UPDATE_VERSION\s*=\s*(\S+).*/\1/p' acinclude.m4)
+ local ver_b=$(sed -En 's/^\s*BUILD_VERSION\s*=\s*b(\S+).*/\1/p' acinclude.m4)
+ [ "${pkgver%.$_icedteaver}" = "7.$ver_u" ] \
+ || die "Version mismatch, source is 7.$ver_u.$_icedteaver, but abuild defines $pkgver!"
+
# Busybox sha256 does not support longopts
sed -e "s/--check/-c/g" -i Makefile.am
@@ -329,19 +337,19 @@ doc() {
}
sha512sums="
-a120be81cf24260eebea24839b7dbd7e5174d4bf38b8f613a8e35782cd1ac51516551a8ad87d3d789091b26856faf24c8ea8eff038eb4c0db607502f8bce1564 icedtea-2.6.25.tar.xz
-8140a1d7845261e3e43fccb35634d631c35538216dda5115a5e732a1eda6f9ef48c3a38797d2f38a7e12949fdad8f496ef51fcb40aaf72f11d299cb11d0e4f0b openjdk-2.6.25.tar.bz2
-041e505b8dad64a648c19c8752fdbd9035b09b36eb13673a588391a4ad84f915d0d0482f1b6081225edbe0e9fad1db39a270d499a19504cdfcd2d7d81eca4a3a corba-2.6.25.tar.bz2
-4033a1927774386c80c2b70d9254ca6cfdfc6681fd14c043f9da7d7bf28d0b1ff0ea9bcd4a24041b405022e9d72c14cbde088cff9577fb1b7ab31794f7f81ec3 jaxp-2.6.25.tar.bz2
-70c58459922c77395965d4f8225253285c17377f71360dbdb8328bbd6fd312b1055f825dfedcf6469e3adf4da0d809636deaf9d251723bfea1441f807462fea0 jaxws-2.6.25.tar.bz2
-ffc527a2e23527b5adde38a2bb87c283d0273d757d606a32e672fa157d6c5cf54619e10487b8dc57d1ed0fa7e4862282c6558c05da18069c851c95f9791e9ea2 jdk-2.6.25.tar.bz2
-118b34a7d6fc8033df0248d2054de61b8b4bf0f93fd40fec2c2aee1a515969fa74f5769dd5f47eae3a646a2cce9a379e0e12a81db3ca473067d672cd296775f0 langtools-2.6.25.tar.bz2
-8544c23589f11aee04609a7bf84c8964a7440f96ea0014fbb0e17c10dbd8b1e9713df54fb995459e64d42d121c20f01282990287bab6a9f6a12221a7372d0401 hotspot-2.6.25.tar.bz2
+91fe86afc8a2333117f5d67816bcd9c2d35546a2165b4f138280538780cf188d4897c994b217a83e8c376c7b38f5bc057607f9f0b395b95a40122351b5e1a504 icedtea-2.6.26.tar.xz
+7a6f56a979fdd6a4e96ee4af26b884deab4d6b1f65fc831c19b46df897f67580a3fc46d8d567ff5196bd9e3e0ad39ab07809ef43eed88ddfa2610f36e4884782 openjdk-2.6.26.tar.bz2
+c363e7b18596412c9389d9ccf0f4a4ffa479442f5b4bab2c9244b0a3e744e3a50a85d518b29785f7e33b8e845e53c0911b310b8d270ae52a2068bfaaf4391277 corba-2.6.26.tar.bz2
+39aca52bbc0751cdb89663a867fc529d470aea7365a49280f7467dc54fde757ef16bb874b19fe39504c05b07e4d63f33b4bc91834952a7ade351e00f1965801c jaxp-2.6.26.tar.bz2
+f93aeec2afd4c6db0b4ad5409b5c63e79e914bc81fe5dd54112802d5ba398c093c1927aa35c0110fb140201eb5004ee64bb820b87c5fde4b35288ab67da1df47 jaxws-2.6.26.tar.bz2
+40bdeb9145359fe08124a38d0710c796efa6284281a39a5d72bde0dc129a13bc920592ccf9d8d131934223615f1e416f610ae270787af2267da4139595ee0593 jdk-2.6.26.tar.bz2
+e7438e7af9fd5c0ba09a5389d0b49014ebd764e2ee73485ca1445c80ee3c0cc7f074a003292c0275c024d0d13203d476129b3a6b2819aae968c2117234e274ac langtools-2.6.26.tar.bz2
+bc6c011c2b78e702393f241de605da59f0aea7ede1ac1ad6f59bdead6c493721e9ebeefae31108e9719aab9f3ef8925d24e12e1cf3e7cd6ffbf8feea6ed6ff40 hotspot-2.6.26.tar.bz2
487dbd1d7f678a92924ba884a57e910ccb4fe565c554278795a8fdfc80c4e88d81ebc2ccecb5a8f353f0b2076572bb921499a2cadb064e0f44fc406a3c31da20 apache-ant-1.9.14-bin.tar.gz
1b9e8721749e81c5420a00af1e00ee0e4f48624ccb4e9aa969032114116ad50f59b254d4d16d74feff74de64157cc8b0a2ead9b555907c84b7055b796fba9a75 rhino-1.7.7.2.zip
74e38e41db0dcca6ec91d3a83330f06904342ba8e950d896c4544db72b76a3ae6665793b83d7bbeb5a0cd3896b48707c8beda92ef0eb0e7f821c15e591e2fd49 icedtea-hotspot-musl.patch
e5cf4d70f96fc1e72ae8b97a887adb96092ff36584711cbb8de9d9fa9e859cb8731d638838de0d9591239fc44ffe5c74422d1842bd9f10a0c00dff1627bdeeef icedtea-hotspot-musl-ppc.patch
-e7a2c1771bb582d427041f8d22e48c0daf8f20d7c0926cbce3549d49c4e949359ee25a35682b486e82f3e390535c950c5beee3bd8d06fb5a717b50f2d9b2a6bc icedtea-hotspot-noagent-musl.patch
+ae4e32af42dfed963f5ee6dbc65d102e2ed51778ada829d8ae230904cd9e0473dacf7362a36b3e83929a9c1c7d176abc8e409bfbe27214ebb9f0ae1410dee282 icedtea-hotspot-noagent-musl.patch
822eee0dc4d3ba677a289dfeb3668b536d2d626708390a9d9702fb4144a481fd443a215a0d2041c6026113837aafa4ba0b5e9ead8589d2da6717a238bbc95a5a icedtea-hotspot-uclibc-fixes.patch
0391970e6a32946aa3cccf38fdef9c0fe2af26cd0df824b98aa2fcfa1bf661d4a68e339bffcfd16f386c565fc68bb28a29208a67d4bad8a0e847ad02bd8becbb icedtea-jdk-execinfo.patch
8fadeee6ea9886c7ee3118a1abaee2fbd04931a3ba880062bc97397ad30aab114a83542c888461a5a8a1d131c4e73920872317c96620e2a8c4689620adf9e9c3 icedtea-jdk-fix-build.patch
diff --git a/community/openjdk7/icedtea-hotspot-noagent-musl.patch b/community/openjdk7/icedtea-hotspot-noagent-musl.patch
index 37604acca0..f7bfbf40e7 100644
--- a/community/openjdk7/icedtea-hotspot-noagent-musl.patch
+++ b/community/openjdk7/icedtea-hotspot-noagent-musl.patch
@@ -33,9 +33,9 @@
- if [ -d $(AGENT_DIR) -a "$(SRCARCH)" != "ia64" \
+ if [ -d $(AGENT_DIR) -a -f /usr/include/thread_db.h \
+ -a "$(SRCARCH)" != "ia64" \
- -a "$(SRCARCH)" != "zero" \
- -a "$(SRCARCH)" != "aarch64" ] ; then \
+ -a "$(SRCARCH)" != "zero" ] ; then \
$(MAKE) -f sa.make $(GENERATED)/sa-jdi.jar; \
+ fi
--- openjdk.orig/hotspot/make/linux/makefiles/saproc.make
+++ openjdk/hotspot/make/linux/makefiles/saproc.make
@@ -65,10 +65,13 @@
@@ -46,7 +46,7 @@
+ifneq ($(wildcard /usr/include/thread_db.h),)
ifneq ($(wildcard $(AGENT_DIR)),)
- ifneq ($(filter-out ia64 zero aarch64,$(SRCARCH)),)
+ ifneq ($(filter-out ia64 zero,$(SRCARCH)),)
BUILDLIBSAPROC = $(LIBSAPROC)
+endif
endif